Subject: bug#78363: closed (Re: bug#78363: [PATCH 3/3] environment: Make home writable.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 May 2025 21:05:03 +0000

Your bug report

#78363: Home is read-only in guix shell container

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78363: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78363
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78363: [PATCH 3/3] environment: Make home writable.
From: Ludovic Courtès <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, Simon Tournier <[email-masked]>, Mathieu Othacehe <[email-masked]>, [email-masked], Tobias Geerinckx-Rice <[email-masked]>, Christopher Baines <[email-masked]>
Date: Sun, 18 May 2025 23:00:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Tomas Volf <[email-masked]> writes:

> * guix/scripts/environment.scm (launch-environment/container): Add tmpfs for
> home.
> * tests/guix-environment-container.sh: Add test.
>
> Change-Id: Iadd9b838f6442a8080998ed7e07414db562068bf

I added a “Fixes” line referencing the initial bug report and applied
all three patches.  Thanks!

  11e88de060 * environment: Make home writable.
  7a888d9841 * environment: Translate only file names under home directory.
  8654aecf74 * environment: Use inherit for new mapping.

Ludo’.

Subject: Home is read-only in guix shell container
From: keinflue <[email-masked]>
To: Bug guix <[email-masked]>
Date: Sat, 10 May 2025 22:59:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am not sure whether this is intended behavior, but it seems weird to 
me. Inside e.g.

guix shell -Cu test coreutils

/home/test is mounted read-only and I do not see any way to make it 
writable without sharing a host directory.